# $Revision: 1.57 $, $Date: 2007-08-20 18:45:28 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	XML 1.0 parser
Summary(es.UTF-8):	Parser de XML 1.0
Summary(pl.UTF-8):	Analizator składni XML-a 1.0
Summary(pt_BR.UTF-8):	Biblioteca XML expat
Summary(ru.UTF-8):	Переносимая библиотека разбора XML (expat)
Summary(uk.UTF-8):	Переносима бібліотека розбору XML (expat)
Name:		expat
Version:	2.0.1
Release:	1
Epoch:		1
License:	Thai Open Source Software Center Ltd (distributable)
Group:		Applications/Publishing/XML
Source0:	http://dl.sourceforge.net/expat/%{name}-%{version}.tar.gz
# Source0-md5:	ee8b492592568805593f81f8cdf2a04c
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-am18.patch
Patch2:		%{name}-soname.patch
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libexpat.so.1()(64bit)
%else
Provides:	libexpat.so.1
%endif
Obsoletes:	libexpat1_95
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

%description -l es.UTF-8
Expat es un parser de XML escrito en C. Pretende conformarse totalmente
al estándar. Actualmente no es un parser XML validante.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

%description -l pt_BR.UTF-8
Esta é a biblioteca, em C, XML expat, de James Clark. É um analisador
orientado a fluxo de informações que pede o uso de handlers para lidar
com a estrutura que o analisador encontrar no documento.

%description -l ru.UTF-8
Expat -- парсер XML 1.0, написанный на C. Он предназначен для того,
чтобы быть полностью совместимым. В настоящее время это не проверяющий
("not a validating") XML парсер.

%description -l uk.UTF-8
Expat -- парсер XML 1.0, написаний на C. Розрахований на те, щоб бути
повністю сумісним. Наразі це не перевіряючий ("not a validating") XML
парсер.

%package devel
Summary:	Expat header files
Summary(es.UTF-8):	Archivos de inclusión del expat
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki expat
Summary(pt_BR.UTF-8):	Arquivos de inclusão do expat
Summary(ru.UTF-8):	Хедеры и библиотека, необходимые для программирования с expat
Summary(uk.UTF-8):	Хедери та бібліотека, необхідні для програмування з expat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexpat1_95-devel

%description devel
Expat header files.

%description devel -l es.UTF-8
Archivos de inclusión del expat.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki expat.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão do expat.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки, необходимые для написания
программ, использующих libexpat.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки, необхідні для написання
програм, що використовують libexpat.

%package static
Summary:	Expat static library
Summary(es.UTF-8):	Biblioteca estática de expat
Summary(pl.UTF-8):	Biblioteka statyczna expat
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a biblioteca expat
Summary(ru.UTF-8):	Статическая библиотека для программирования с libexpat
Summary(uk.UTF-8):	Статична бібліотека для програмування з libexpat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description static
Expat static library.

%description static -l es.UTF-8
Biblioteca estática de expat.

%description static -l pl.UTF-8
Biblioteka statyczna expat.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a biblioteca expat.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку, необходимую для написания
программ, использующих libexpat.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку, необхідну для написання
програм, що використовують libexpat.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_aclocaldir}
install conftools/expat.m4 $RPM_BUILD_ROOT%{_aclocaldir}

# for compatibility with upstream/other distros
cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libexpat.so.*.*.* libexpat.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING Changes README
%attr(755,root,root) %{_bindir}/xmlwf
%attr(755,root,root) %{_libdir}/libexpat.so.*.*.*
%attr(755,root,root) %{_libdir}/libexpat.so.1
%{_mandir}/man1/xmlwf.1*

%files devel
%defattr(644,root,root,755)
%doc doc/{reference.html,style.css}
%attr(755,root,root) %{_libdir}/libexpat.so
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_aclocaldir}/expat.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: expat.spec,v $
Revision 1.57  2007-08-20 18:45:28  witekfl
- added bcond_without static_libs

Revision 1.56  2007/06/14 16:10:53  qboosh
- updated to 2.0.1
- updated URL
- provide libexpat.so.1 symlink and Provides for compatibility

Revision 1.55  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.53  2006/11/21 15:06:45  megabajt
- release 3 (rebuild with P: *.la)

Revision 1.52  2006/04/20 18:06:57  arekm
- rel 2

Revision 1.51  2006/04/18 21:21:57  qboosh
- added soname patch (try to use old soname)

Revision 1.50  2006/04/18 21:18:07  qboosh
- added missing patch1

Revision 1.49  2006/04/18 21:16:27  qboosh
- replaced external expat.m4 by file from package + am18 patch
- more verbose files

Revision 1.48  2006/04/09 16:10:27  arekm
- up to 2.0.0 (soname change)

Revision 1.47  2005/03/21 22:51:01  mmazur
- rel 2 for th

Revision 1.46  2004/08/31 04:51:03  snurf
- typo / formatting / etc.

Revision 1.45  2004/07/24 21:43:20  qboosh
- updated to 1.95.8, updated DESTDIR patch

Revision 1.44  2004/03/25 14:28:25  qboosh
- strict internal deps

Revision 1.43  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.42  2003/12/22 17:37:31  qboosh
- added ac version, release 2

Revision 1.41  2003/12/22 12:34:31  qboosh
- fixed quotation in expat.m4

Revision 1.40  2003/10/23 23:23:06  saq
- added missing es translations

Revision 1.39  2003/10/23 10:15:29  qboosh
- updated to 1.95.7, removed obsolete gcc3-c++ patch

Revision 1.38  2003/08/25 18:51:55  mmazur
- rel 5 for ac

Revision 1.37  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/07/29 12:48:46  pascalek
- Release 4
- Added aclocal file

Revision 1.35  2003/07/13 14:48:04  averne
- fixed epoch:version issue

Revision 1.34  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.33  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 05:47:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/05/17 22:57:07  kloczek
- added full regenerate ac/lt build suit (added ac_fixes patch).

Revision 1.30  2003/03/11 12:23:26  qboosh
- added fix to allow including expat.h from C++ programs using gcc3
- release 2

Revision 1.29  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.28  2003/01/28 12:19:31  trojan
- updated 1.95.6

Revision 1.27  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/09/10 22:45:37  kloczek
- changed Source url to http (ftp on SF is overloaded).

Revision 1.25  2002/09/10 22:13:47  kloczek
- updated to 1.95.5: many bug fixes.

Revision 1.24  2002/07/27 15:26:23  qboosh
- updated to 1.95.4 (many bugfixes), updated DESTDIR patch

Revision 1.23  2002/07/09 18:37:21  kloczek
- fix in spec header (removed duplicated License filelds).

Revision 1.22  2002/07/09 18:34:42  kloczek
- merge translations from KSI and bump release to 3.

Revision 1.21  2002/07/09 12:50:04  qboosh
- standarized Source0 URL

Revision 1.20  2002/07/08 22:14:12  qboosh
- updated to 1.95.3 (many bug fixes)
- rebuilding ac/am is not necessary and creates problems with libtool;
  use only DESTDIR patch
- new %%doc, added xmlwf program, removed English "es" translations

Revision 1.19  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:16:26  arturs
fixed a small typo

Revision 1.16  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/17 03:45:21  kloczek
- release 3: merge translations from Conectiva.

Revision 1.14  2002/02/02 20:02:58  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.13  2002/01/18 02:12:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/02 18:35:05  kloczek
- release 2: libexpat1_95{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.11  2001/07/30 17:32:48  kloczek
- updated to 1.95.2,
- added ac_fix patch.

Revision 1.10  2001/07/18 02:07:23  kloczek
- release 8,
- regenerate ac/lt files (spec is now ac 2.50 ready).

Revision 1.9  2001/06/24 21:41:25  kloczek
- release 3: adapterized.

Revision 1.8  2000/12/22 18:02:22  wrobell
- typo

Revision 1.7  2000/10/23 00:54:39  kloczek
- updated to 1.95.1.

Revision 1.6  2000/10/15 21:59:42  kloczek
- removed %%{_bindir}/* from %files.

Revision 1.5  2000/10/15 21:40:53  kloczek
- updated to version 1.95.0 from sourceforge and prepare them in PLD
  library standard form.

Revision 1.4  2000/09/06 09:51:25  klakier
- i forgot to commit message

Revision 1.3  2000/07/21 13:08:23  klakier
- small fix

Revision 1.2  2000/07/21 13:02:02  klakier
- License added

Revision 1.1  2000/07/21 12:53:02  klakier
- initial version based on mdk contrib

* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location/owner of files

* Tue Jul 28 1999 Greg LaPolla <glapolla@earthlink.net>
- Made spec file
- Built on redhat 6.0
